#ifndef NETWORKCOMMIFSURROGATE_H
#define NETWORKCOMMIFSURROGATE_H
#include "NetworkProtocol.h"

//This class allows to instanciate and manage a NetworkProtocol class to decode network messages behind a proxy like LoraNetworkCommIF.


class CNetworkCommIFSurrogate : public QObject, public CNetworkProtocol
{
    Q_OBJECT
public:
    CNetworkCommIFSurrogate();

    virtual int NewFrameReceived(int DeviceID, int DeviceAddress, int MessageID, int DataSize, QByteArray Data);// = 0;

signals:
    void ValidFrameReady(int DeviceID, int DeviceAddress, int MessageID, int DataSize, QByteArray Data);
    void DataReceiveError(CNetworkProtocol::ProtocolRetValues RetID);
};

#endif // NETWORKCOMMIFSURROGATE_H
